Bug 1173496 - RPM verify reports errors for /var/cache/man
Summary: RPM verify reports errors for /var/cache/man
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: man-db
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-12 09:39 UTC by Tom Hughes
Modified: 2015-01-17 05:43 UTC (History)
2 users (show)

Fixed In Version: man-db-2.6.7.1-13.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-17 05:43:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Tom Hughes 2014-12-12 09:39:47 UTC
Description of problem:

Running "rpm -V man-db" reports two errors for /var/cache/man:

.M....G..    /var/cache/man

The modification time is obviously going to change as files are added and removed from the cache, so "%verify (not mtime)" should be used in the file list to exclude the mtime from verification.

The group flag seems to stem from the fact that the RPM file list marks it as root:root but /usr/lib/tmpfiles.d/man-db.conf says root:man so tmpfiles tends to change it.

Version-Release number of selected component (if applicable):

man-db-2.6.7.1-12.fc21.x86_64

Comment 1 Jan Chaloupka 2015-01-05 12:02:25 UTC
Thanks Tom,

M is the file's mode.

You are right. /usr/lib/tmpfiles.d/man-db.conf contains
d /var/cache/man 2755 root man 1w

Spec file has
%attr(0755,root,root) %dir %{cache}

Comment 2 Fedora Update System 2015-01-05 15:41:29 UTC
man-db-2.6.7.1-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/man-db-2.6.7.1-13.fc21

Comment 3 Fedora Update System 2015-01-06 06:09:22 UTC
Package man-db-2.6.7.1-13.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing man-db-2.6.7.1-13.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0204/man-db-2.6.7.1-13.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-01-17 05:43:37 UTC
man-db-2.6.7.1-13.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.